<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="classdlib_1_1fine__hog__image.html">fine_hog_image</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">dlib::fine_hog_image&lt; cell_size_, block_size_, pixel_stride_, num_orientation_bins_, gradient_type_ &gt; Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classdlib_1_1fine__hog__image.html">dlib::fine_hog_image&lt; cell_size_, block_size_, pixel_stride_, num_orientation_bins_, gradient_type_ &gt;</a>, including all inherited members.</p>
<table class="directory">
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>_PRIVATE_deserialize</b>(std::istream &amp;in) (defined in <a class="el" href="classdlib_1_1fine__hog__image.html">dlib::fine_hog_image&lt; cell_size_, block_size_, pixel_stride_, num_orientation_bins_, gradient_type_ &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1fine__hog__image.html">dlib::fine_hog_image&lt; cell_size_, block_size_, pixel_stride_, num_orientation_bins_, gradient_type_ &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>_PRIVATE_serialize</b>(std::ostream &amp;out) const (defined in <a class="el" href="classdlib_1_1fine__hog__image.html">dlib::fine_hog_image&lt; cell_size_, block_size_, pixel_stride_, num_orientation_bins_, gradient_type_ &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1fine__hog__image.html">dlib::fine_hog_image&lt; cell_size_, block_size_, pixel_stride_, num_orientation_bins_, gradient_type_ &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>block_size</b> (defined in <a class="el" href="classdlib_1_1fine__hog__image.html">dlib::fine_hog_image&lt; cell_size_, block_size_, pixel_stride_, num_orientation_bins_, gradient_type_ &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1fine__hog__image.html">dlib::fine_hog_image&lt; cell_size_, block_size_, pixel_stride_, num_orientation_bins_, gradient_type_ &gt;</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>cell_size</b> (defined in <a class="el" href="classdlib_1_1fine__hog__image.html">dlib::fine_hog_image&lt; cell_size_, block_size_, pixel_stride_, num_orientation_bins_, gradient_type_ &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1fine__hog__image.html">dlib::fine_hog_image&lt; cell_size_, block_size_, pixel_stride_, num_orientation_bins_, gradient_type_ &gt;</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>clear</b>() (defined in <a class="el" href="classdlib_1_1fine__hog__image.html">dlib::fine_hog_image&lt; cell_size_, block_size_, pixel_stride_, num_orientation_bins_, gradient_type_ &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1fine__hog__image.html">dlib::fine_hog_image&lt; cell_size_, block_size_, pixel_stride_, num_orientation_bins_, gradient_type_ &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>COMPILE_TIME_ASSERT</b>(cell_size_ &gt; 1) (defined in <a class="el" href="classdlib_1_1fine__hog__image.html">dlib::fine_hog_image&lt; cell_size_, block_size_, pixel_stride_, num_orientation_bins_, gradient_type_ &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1fine__hog__image.html">dlib::fine_hog_image&lt; cell_size_, block_size_, pixel_stride_, num_orientation_bins_, gradient_type_ &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>COMPILE_TIME_ASSERT</b>(block_size_ &gt; 0) (defined in <a class="el" href="classdlib_1_1fine__hog__image.html">dlib::fine_hog_image&lt; cell_size_, block_size_, pixel_stride_, num_orientation_bins_, gradient_type_ &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1fine__hog__image.html">dlib::fine_hog_image&lt; cell_size_, block_size_, pixel_stride_, num_orientation_bins_, gradient_type_ &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>COMPILE_TIME_ASSERT</b>(pixel_stride_ &gt; 0) (defined in <a class="el" href="classdlib_1_1fine__hog__image.html">dlib::fine_hog_image&lt; cell_size_, block_size_, pixel_stride_, num_orientation_bins_, gradient_type_ &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1fine__hog__image.html">dlib::fine_hog_image&lt; cell_size_, block_size_, pixel_stride_, num_orientation_bins_, gradient_type_ &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>COMPILE_TIME_ASSERT</b>(num_orientation_bins_ &gt; 0) (defined in <a class="el" href="classdlib_1_1fine__hog__image.html">dlib::fine_hog_image&lt; cell_size_, block_size_, pixel_stride_, num_orientation_bins_, gradient_type_ &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1fine__hog__image.html">dlib::fine_hog_image&lt; cell_size_, block_size_, pixel_stride_, num_orientation_bins_, gradient_type_ &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>COMPILE_TIME_ASSERT</b>(gradient_type_==hog_signed_gradient||gradient_type_==hog_unsigned_gradient) (defined in <a class="el" href="classdlib_1_1fine__hog__image.html">dlib::fine_hog_image&lt; cell_size_, block_size_, pixel_stride_, num_orientation_bins_, gradient_type_ &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1fine__hog__image.html">dlib::fine_hog_image&lt; cell_size_, block_size_, pixel_stride_, num_orientation_bins_, gradient_type_ &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>copy_configuration</b>(const fine_hog_image &amp;) (defined in <a class="el" href="classdlib_1_1fine__hog__image.html">dlib::fine_hog_image&lt; cell_size_, block_size_, pixel_stride_, num_orientation_bins_, gradient_type_ &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1fine__hog__image.html">dlib::fine_hog_image&lt; cell_size_, block_size_, pixel_stride_, num_orientation_bins_, gradient_type_ &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>des</b> (defined in <a class="el" href="classdlib_1_1fine__hog__image.html">dlib::fine_hog_image&lt; cell_size_, block_size_, pixel_stride_, num_orientation_bins_, gradient_type_ &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1fine__hog__image.html">dlib::fine_hog_image&lt; cell_size_, block_size_, pixel_stride_, num_orientation_bins_, gradient_type_ &gt;</a></td><td class="entry"><span class="mlabel">mutable</span><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>descriptor_type</b> typedef (defined in <a class="el" href="classdlib_1_1fine__hog__image.html">dlib::fine_hog_image&lt; cell_size_, block_size_, pixel_stride_, num_orientation_bins_, gradient_type_ &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1fine__hog__image.html">dlib::fine_hog_image&lt; cell_size_, block_size_, pixel_stride_, num_orientation_bins_, gradient_type_ &gt;</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>feat_to_image_space</b>(const point &amp;p) const (defined in <a class="el" href="classdlib_1_1fine__hog__image.html">dlib::fine_hog_image&lt; cell_size_, block_size_, pixel_stride_, num_orientation_bins_, gradient_type_ &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1fine__hog__image.html">dlib::fine_hog_image&lt; cell_size_, block_size_, pixel_stride_, num_orientation_bins_, gradient_type_ &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>feat_to_image_space</b>(const rectangle &amp;rect) const (defined in <a class="el" href="classdlib_1_1fine__hog__image.html">dlib::fine_hog_image&lt; cell_size_, block_size_, pixel_stride_, num_orientation_bins_, gradient_type_ &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1fine__hog__image.html">dlib::fine_hog_image&lt; cell_size_, block_size_, pixel_stride_, num_orientation_bins_, gradient_type_ &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>fine_hog_image</b>() (defined in <a class="el" href="classdlib_1_1fine__hog__image.html">dlib::fine_hog_image&lt; cell_size_, block_size_, pixel_stride_, num_orientation_bins_, gradient_type_ &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1fine__hog__image.html">dlib::fine_hog_image&lt; cell_size_, block_size_, pixel_stride_, num_orientation_bins_, gradient_type_ &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>get_block_rect</b>(long row, long col) const (defined in <a class="el" href="classdlib_1_1fine__hog__image.html">dlib::fine_hog_image&lt; cell_size_, block_size_, pixel_stride_, num_orientation_bins_, gradient_type_ &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1fine__hog__image.html">dlib::fine_hog_image&lt; cell_size_, block_size_, pixel_stride_, num_orientation_bins_, gradient_type_ &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>get_num_dimensions</b>() const (defined in <a class="el" href="classdlib_1_1fine__hog__image.html">dlib::fine_hog_image&lt; cell_size_, block_size_, pixel_stride_, num_orientation_bins_, gradient_type_ &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1fine__hog__image.html">dlib::fine_hog_image&lt; cell_size_, block_size_, pixel_stride_, num_orientation_bins_, gradient_type_ &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>gradient_type</b> (defined in <a class="el" href="classdlib_1_1fine__hog__image.html">dlib::fine_hog_image&lt; cell_size_, block_size_, pixel_stride_, num_orientation_bins_, gradient_type_ &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1fine__hog__image.html">dlib::fine_hog_image&lt; cell_size_, block_size_, pixel_stride_, num_orientation_bins_, gradient_type_ &gt;</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>hist_counts</b> (defined in <a class="el" href="classdlib_1_1fine__hog__image.html">dlib::fine_hog_image&lt; cell_size_, block_size_, pixel_stride_, num_orientation_bins_, gradient_type_ &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1fine__hog__image.html">dlib::fine_hog_image&lt; cell_size_, block_size_, pixel_stride_, num_orientation_bins_, gradient_type_ &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>image_to_feat_space</b>(const point &amp;p) const (defined in <a class="el" href="classdlib_1_1fine__hog__image.html">dlib::fine_hog_image&lt; cell_size_, block_size_, pixel_stride_, num_orientation_bins_, gradient_type_ &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1fine__hog__image.html">dlib::fine_hog_image&lt; cell_size_, block_size_, pixel_stride_, num_orientation_bins_, gradient_type_ &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>image_to_feat_space</b>(const rectangle &amp;rect) const (defined in <a class="el" href="classdlib_1_1fine__hog__image.html">dlib::fine_hog_image&lt; cell_size_, block_size_, pixel_stride_, num_orientation_bins_, gradient_type_ &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1fine__hog__image.html">dlib::fine_hog_image&lt; cell_size_, block_size_, pixel_stride_, num_orientation_bins_, gradient_type_ &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>load</b>(const image_type &amp;img) (defined in <a class="el" href="classdlib_1_1fine__hog__image.html">dlib::fine_hog_image&lt; cell_size_, block_size_, pixel_stride_, num_orientation_bins_, gradient_type_ &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1fine__hog__image.html">dlib::fine_hog_image&lt; cell_size_, block_size_, pixel_stride_, num_orientation_bins_, gradient_type_ &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>load_impl</b>(const image_type &amp;img) (defined in <a class="el" href="classdlib_1_1fine__hog__image.html">dlib::fine_hog_image&lt; cell_size_, block_size_, pixel_stride_, num_orientation_bins_, gradient_type_ &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1fine__hog__image.html">dlib::fine_hog_image&lt; cell_size_, block_size_, pixel_stride_, num_orientation_bins_, gradient_type_ &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>min_size</b> (defined in <a class="el" href="classdlib_1_1fine__hog__image.html">dlib::fine_hog_image&lt; cell_size_, block_size_, pixel_stride_, num_orientation_bins_, gradient_type_ &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1fine__hog__image.html">dlib::fine_hog_image&lt; cell_size_, block_size_, pixel_stride_, num_orientation_bins_, gradient_type_ &gt;</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>nc</b>() const (defined in <a class="el" href="classdlib_1_1fine__hog__image.html">dlib::fine_hog_image&lt; cell_size_, block_size_, pixel_stride_, num_orientation_bins_, gradient_type_ &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1fine__hog__image.html">dlib::fine_hog_image&lt; cell_size_, block_size_, pixel_stride_, num_orientation_bins_, gradient_type_ &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classdlib_1_1noncopyable.html#ac52d1076f79ef032f5ced545bd4cc4f9">noncopyable</a>()</td><td class="entry"><a class="el" href="classdlib_1_1noncopyable.html">dlib::noncopyable</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>nr</b>() const (defined in <a class="el" href="classdlib_1_1fine__hog__image.html">dlib::fine_hog_image&lt; cell_size_, block_size_, pixel_stride_, num_orientation_bins_, gradient_type_ &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1fine__hog__image.html">dlib::fine_hog_image&lt; cell_size_, block_size_, pixel_stride_, num_orientation_bins_, gradient_type_ &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>num_block_cols</b> (defined in <a class="el" href="classdlib_1_1fine__hog__image.html">dlib::fine_hog_image&lt; cell_size_, block_size_, pixel_stride_, num_orientation_bins_, gradient_type_ &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1fine__hog__image.html">dlib::fine_hog_image&lt; cell_size_, block_size_, pixel_stride_, num_orientation_bins_, gradient_type_ &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>num_block_rows</b> (defined in <a class="el" href="classdlib_1_1fine__hog__image.html">dlib::fine_hog_image&lt; cell_size_, block_size_, pixel_stride_, num_orientation_bins_, gradient_type_ &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1fine__hog__image.html">dlib::fine_hog_image&lt; cell_size_, block_size_, pixel_stride_, num_orientation_bins_, gradient_type_ &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>num_orientation_bins</b> (defined in <a class="el" href="classdlib_1_1fine__hog__image.html">dlib::fine_hog_image&lt; cell_size_, block_size_, pixel_stride_, num_orientation_bins_, gradient_type_ &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1fine__hog__image.html">dlib::fine_hog_image&lt; cell_size_, block_size_, pixel_stride_, num_orientation_bins_, gradient_type_ &gt;</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>operator()</b>(long row, long col) const (defined in <a class="el" href="classdlib_1_1fine__hog__image.html">dlib::fine_hog_image&lt; cell_size_, block_size_, pixel_stride_, num_orientation_bins_, gradient_type_ &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1fine__hog__image.html">dlib::fine_hog_image&lt; cell_size_, block_size_, pixel_stride_, num_orientation_bins_, gradient_type_ &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>pixel_stride</b> (defined in <a class="el" href="classdlib_1_1fine__hog__image.html">dlib::fine_hog_image&lt; cell_size_, block_size_, pixel_stride_, num_orientation_bins_, gradient_type_ &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1fine__hog__image.html">dlib::fine_hog_image&lt; cell_size_, block_size_, pixel_stride_, num_orientation_bins_, gradient_type_ &gt;</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>size</b>() const (defined in <a class="el" href="classdlib_1_1fine__hog__image.html">dlib::fine_hog_image&lt; cell_size_, block_size_, pixel_stride_, num_orientation_bins_, gradient_type_ &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1fine__hog__image.html">dlib::fine_hog_image&lt; cell_size_, block_size_, pixel_stride_, num_orientation_bins_, gradient_type_ &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>unload</b>() (defined in <a class="el" href="classdlib_1_1fine__hog__image.html">dlib::fine_hog_image&lt; cell_size_, block_size_, pixel_stride_, num_orientation_bins_, gradient_type_ &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1fine__hog__image.html">dlib::fine_hog_image&lt; cell_size_, block_size_, pixel_stride_, num_orientation_bins_, gradient_type_ &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>~noncopyable</b>() (defined in <a class="el" href="classdlib_1_1noncopyable.html">dlib::noncopyable</a>)</td><td class="entry"><a class="el" href="classdlib_1_1noncopyable.html">dlib::noncopyable</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">private</span></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
